> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Account

GET https://api.npretail.app/{tenant}/{environment}/{company}/account/{accountId}

Reference: https://docs.navipartner.com/apis/api-reference/accounts/service-account/get-account

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `accountId` (UUID, required)

## Response

### 200

- `id` (UUID, required) — The unique id of the account.
- `firstName` (string, required) — The First Name of the account owner.
- `lastName` (string, required) — The Last Name of the account owner.
- `displayName` (string, required) — The Display Name of the account owner. It's a combination of the first- and last name of the account.
- `phoneNumber` (string, required)
- `emailAddress` (string, required)
- `paymentMethods` (list of UserAccountPaymentMethodDTO, required)

## Types

### UserAccountPaymentMethodDTO

- `id` (UUID, required) — Unique identifier for a payment method.
- `PSP` (enum, required) — The payment service provider of the payment method.
  - Allowed values: `Adyen`, `Vipps`
- `status` (enum, required) — The status of the payment method.
  - Allowed values: `Active`, `Archived`
- `paymentInstrument` (string, required) — The payment method type.
- `paymentBrand` (string, required) — The payment method brand.
- `maskedPAN` (string, required) — The masked PAN of the card. The exact structure depends on the PSP.
- `PANLastDigits` (string, required) — The last 4 digits of the payment card number.
- `alias` (string, required) — A short description that can be assigned to each payment method by the end user.
- `memberships` (list of UserAccountPaymentMethodMapDTO, required)
- `expiryDate` (date, optional) — The expiry date of the card.

### UserAccountPaymentMethodMapDTO

Defines the mapping relation between a payment method and a membership.

- `membershipId` (UUID, required) — The ID of the membership that the payment method is applied to.
- `status` (enum, required) — The status of the payment method.
  - Allowed values: `Active`, `Archived`
- `default` (boolean, required)

## Examples

**Response**

```json
{
  "id": "e2cfea9f-385e-4d83-8b50-42256885b03a",
  "firstName": "Jane",
  "lastName": "Doe",
  "displayName": "Jane Doe",
  "phoneNumber": "12345678",
  "emailAddress": "jane@example.com",
  "paymentMethods": []
}
```

**SDK Code**

```python Get Account
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Account
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Account
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Account
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Get Account
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Get Account
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Get Account
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Get Account
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```